Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-18053

INSTALL PLUGIN FORCE needed to override @@plugin_maturity

    Details

    • Type: Task
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Won't Fix
    • Fix Version/s: N/A
    • Component/s: Plugins
    • Labels:
      None

      Description

      @@plugin_maturity is a readonly variable.

      I believe it is reasonable to only allow mature plugins in a server, but then decide to make an exception for a specific case. A DBA is supposed to know what usage will be done, and understand the risk.

      I suggest to implement a INSTALL PLUGIN FORCE syntax, that overrides @@plugin_maturity for a specific plugin. Since such syntax could be used improperly by tools that run as root, I also suggest to write a warning in the error log whenever @@plugin_maturity is overridden - hopefully, the diligent DBA monitors that file and will check if she wants that plugin.

      Please keep in mind that currently, if a DBA wants to achieve the same, has to restart the server twice: to set a lower plugin_maturity and install the plugin, and then to restore the old plugin maturity.

        Attachments

          Activity

            People

            • Assignee:
              serg Sergei Golubchik
              Reporter:
              f_razzoli Federico Razzoli
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: